QwtPickerMachine(3)

NAME
QwtPickerMachine -

A state machine for QwtPicker selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherited by QwtPickerClickPointMachine, QwtPickerClickRectMachine, QwtPickerDragPointMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

  Public Types

enum Command { Begin, Append, Move, End }
typedef QList< Command > CommandList

  Public Member Functions

virtual ~QwtPickerMachine ()
virtual CommandList transition (const QwtEventPattern &, const QEvent *)=0
void reset ()
int state () const
void setState (int)

  Protected Member Functions

QwtPickerMachine ()

Detailed Description

A state machine for QwtPicker selections.

QwtPickerMachine accepts key and mouse events and translates them into selection commands.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Member Enumeration Documentation

  enum QwtPickerMachine::Command

Commands - the output of the state machine.

Constructor & Destructor Documentation

  QwtPickerMachine::~QwtPickerMachine () [virtual]

Destructor.

  QwtPickerMachine::QwtPickerMachine () [protected]

Constructor.

Member Function Documentation

  void QwtPickerMachine::reset ()

Set the current state to 0.

  void QwtPickerMachine::setState (int state)

Change the current state.

  int QwtPickerMachine::state () const

Return the current state.

  virtual CommandList QwtPickerMachine::transition (const QwtEventPattern &, const QEvent *) [pure virtual]

Transition.

Implemented in QwtPickerClickPointMachine, QwtPickerDragPointMachine, QwtPickerClickRectMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.